package net.minecraft.util.profiling;

import java.util.function.Supplier;

public class InactiveProfiler implements ProfileCollector {
    public static final InactiveProfiler INACTIVE;
    
    private InactiveProfiler() {
    }
    
    @Override
    public void startTick() {
    }
    
    @Override
    public void endTick() {
    }
    
    @Override
    public void push(final String string) {
    }
    
    @Override
    public void push(final Supplier<String> supplier) {
    }
    
    @Override
    public void pop() {
    }
    
    @Override
    public void popPush(final String string) {
    }
    
    @Override
    public void popPush(final Supplier<String> supplier) {
    }
    
    @Override
    public void incrementCounter(final String string) {
    }
    
    @Override
    public void incrementCounter(final Supplier<String> supplier) {
    }
    
    @Override
    public ProfileResults getResults() {
        return EmptyProfileResults.EMPTY;
    }
    
    static {
        INACTIVE = new InactiveProfiler();
    }
}
